Bug 89905 - scons build broken on 10.5.2 due to activated vega st
Summary: scons build broken on 10.5.2 due to activated vega st
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 10.5
Hardware: All All
: medium major
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-04 16:34 UTC by Alexander von Gluck
Modified: 2015-04-12 21:24 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch (2.36 KB, text/plain)
2015-04-04 16:43 UTC, Alexander von Gluck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander von Gluck 2015-04-04 16:34:29 UTC
In 10.5.2:

http://cgit.freedesktop.org/mesa/mesa/commit/include/VG?id=3acd7a34ab05b87521b74f626ec637e7fdcc6595

This removes includes/VG which is still referenced in several places causing the scons builds to fail.


It looks like this commit was included in 10.5.2 while the matching commit to disable the code wasn't?

http://cgit.freedesktop.org/mesa/mesa/commit/src/gallium/SConscript?id=3acd7a34ab05b87521b74f626ec637e7fdcc6595



Might want to document this in 10.5.2 or target it to 10.5.3 (if there will be a 10.5.3?)


  Compiling src/gallium/state_trackers/vega/api.c ...
  Compiling src/gallium/state_trackers/vega/api_context.c ...
  Compiling src/gallium/state_trackers/vega/api_filters.c ...
src/gallium/state_trackers/vega/api.c:28:18: fatal error: mapi.h: No such file or directory
 #include "mapi.h"
                  ^
compilation terminated.
scons: *** [build/haiku-x86_64-debug/gallium/state_trackers/vega/api.os] Error 1
  Compiling src/gallium/state_trackers/vega/api_images.c ...
src/gallium/state_trackers/vega/api_context.c:27:23: fatal error: VG/openvg.h: No such file or directory
 #include "VG/openvg.h"
                       ^
compilation terminated.
scons: *** [build/haiku-x86_64-debug/gallium/state_trackers/vega/api_context.os] Error 1
src/gallium/state_trackers/vega/api_filters.c:27:23: fatal error: VG/openvg.h: No such file or directory
 #include "VG/openvg.h"
                       ^
compilation terminated.
scons: *** [build/haiku-x86_64-debug/gallium/state_trackers/vega/api_filters.os] Error 1
In file included from src/gallium/state_trackers/vega/vg_context.h:30:0,
                 from src/gallium/state_trackers/vega/image.h:30,
                 from src/gallium/state_trackers/vega/api_images.c:27:
src/gallium/state_trackers/vega/vg_state.h:30:23: fatal error: VG/openvg.h: No such file or directory
 #include "VG/openvg.h"
                       ^
compilation terminated.
Comment 1 Alexander von Gluck 2015-04-04 16:43:50 UTC
Created attachment 114865 [details]
patch

these fixes should likely be cherry-picked for 10.5.3 as they already exist in master.
Comment 2 Emil Velikov 2015-04-04 17:27:17 UTC
I see what happened here - I checked the automake build with `make distcheck', but did the scons one only in-tree. So include/VG and src/mapi/mapi.[ch] were around and everything worked like a charm. I'll add them in for 10.5.3 unless Jose prefers that we disable st/egl and st/vega for scons.

Alexander, if you guys have autotools I would strongly suggest using it. SCons is not my forte, plus it has always been a bit like second class citizen.
Comment 3 Alexander von Gluck 2015-04-04 17:58:44 UTC
Thanks Emil.

Yeah.. I originally did the port for scons as it is *much* easier to wrangle vs autotools in big projects.

Anyway, if it isn't planned for scons to become the main buildsystem I should do the Haiku autotools work... I'm just not looking forward to it :-)
Comment 4 Emil Velikov 2015-04-05 17:02:47 UTC
Using autotools for Haiku should not be that hard/messy nowadays. Do give it a shot and let me know if there are any problems.

On the scons question - looking at the way things are going, it seems unlikely for scons to become the main one.
Comment 5 Emil Velikov 2015-04-05 17:10:36 UTC
Alexander, can you give this [1] tarball a try. Would love to have a release that one can use under Haiku ;-)

[1] http://people.freedesktop.org/~evelikov/fdo89905/mesa-10.5.2.tar.gz
Comment 6 Emil Velikov 2015-04-12 21:24:27 UTC
Alexander

I've just pushed an alternative patch which adds the missing files to the tarball and confirmed that the Linux Scons build works like a charm. Mesa 10.5.3 (coming out in a second) will feature the fix, so feel free to reopen if the problem persist with it.

Thanks
Emil


bug/show.html.tmpl processed on Jan 16, 2017 at 19:19:18.
(provided by the Example extension).